import {
  SurfacePointSelection,
  ActiveElement,
  Tooltip,
  FisheyeFocus,
  ElementSelection,
  HighlightElement,
  FilterElement,
  LegendItemSelection,
  TriggerInfoSelection,
  SetItemState as SetItemStateAction,
  RecordState,
  RecordPoint,
  RecordCurrentPoint,
  RecordRegion,
  Cursor as CursorAction,
  Plot,
  Filter,
  Mask,
  Button,
  Move,
  ActiveRegion,
  RecordTip,
  Poptip,
} from './action';
import { MousePosition, TouchPosition } from './interactor';
import { InteractionLibrary } from './types';

export function createInteractionLibrary(): InteractionLibrary {
  return {
    'action.surfacePointSelection': SurfacePointSelection,
    'action.elementSelection': ElementSelection,
    'action.recordState': RecordState,
    'action.recordPoint': RecordPoint,
    'action.recordCurrentPoint': RecordCurrentPoint,
    'action.recordRegion': RecordRegion,
    'action.activeElement': ActiveElement,
    'action.highlightElement': HighlightElement,
    'action.filterElement': FilterElement,
    'action.legendItemSelection': LegendItemSelection,
    'action.triggerInfoSelection': TriggerInfoSelection,
    'action.setItemState': SetItemStateAction,
    'action.tooltip': Tooltip,
    'action.fisheyeFocus': FisheyeFocus,
    'action.plot': Plot,
    'action.filter': Filter,
    'action.cursor': CursorAction,
    'action.mask': Mask,
    'action.button': Button,
    'action.move': Move,
    'action.activeRegion': ActiveRegion,
    'action.recordTip': RecordTip,
    'action.poptip': Poptip,
    'interactor.mousePosition': MousePosition,
    'interactor.touchPosition': TouchPosition,
  };
}
